	{% include "admin/header.html" %}
	{% load static %}
	<div class="col-md-10">
		
		<div class="row">
			<div class="page-header bootstrap-admin-content-title">
				<h1>Edit Proyek</h1>

				<a href="{% url 'beribuku_app:admin.program' %}" class="action">
					<button class="btn btn-sm btn-default">
						<i class="glyphicon glyphicon-chevron-left"></i>
						Back
					</button>
				</a>

			</div>

		</div>

		<div class="row">
			<div class="panel panel-default bootstrap-admin-no-table-panel">
				<div class="panel-heading">
					<div class="text-muted bootstrap-admin-box-title">Proyek {{ program.nama }}</div>					
					
					
				</div>
				<div class="bootstrap-admin-panel-content bootstrap-admin-no-table-panel-content collapse in">


		<div>
			<div class="newprogram">
				<div class="container" style="width:100%">
					<div class="title">						
					</div>
					{% if error %}
						<div class="alert alert-danger alert-dismissible" role="alert">
						<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>Terdapat kesalahan dalam pengisian sebagai berikut :
						<ul>
							{% for item in error %}
							<li>{{ item }}</li>
							{% endfor %}
						</ul>
						</div>
					{% endif %}

					<form action="" class="form-horizontal" role="form" method="post" enctype="multipart/form-data">{% csrf_token %}
					  	<div class="form-group">
					    	<label for="" class="col-sm-2 control-label">Nama Proyek</label>
					    	<div class="col-sm-10">
					      		<input type="text" class="form-control" name="nama" id="" placeholder="Nama Program" value="{{ program.nama }}">
					    	</div>
					  	</div>
					  	<div class="form-group">
					    	<label for="inputPassword3" class="col-sm-2 control-label">Deskripsi</label>
					    	<div class="col-sm-10">
					    		<textarea name="deskripsi"class="form-control" row="4">{{ program.deskripsi }}</textarea>
					    	</div>
					  	</div>
					  	<div class="form-group">
					    	<label for="inputPassword3" class="col-sm-2 control-label">Gambar</label>
					    	<div class="col-sm-10 div-gambar">
					    		{% for foto in fotoProgram %}
					    		<div class="row">
					    			<div class="col-md-4">
						    			<img src="../../{{ foto.gambar }}" class="img-responsive">
						    		</div>
						    		<div class="col-md-8">
						    		<input type="text" class="form-control" value="{{ foto.caption }}" name="caption-{{ foto.id }}" id="" placeholder="Keterangan gambar (opsional)">
						    		<input type="checkbox" name="remove-gambar" value="{{ foto.id }}"> Hapus gambar ini
						    		</div>
						    	</div>
					    		{% endfor %}

					    		<p class="form-control-static">Tambah gambar lain :</p>
						    	<div class="row">
							    	<div class="col-sm-3">
								    	<input type="file" class="form-control" name="gambar" id="" placeholder="">
								    	<p class="help-block">Unggah file gambar dengan jenis jpg, png, atau gif</p>
							    	</div>

							    	<div class="col-sm-9">
								    	<input type="text" class="form-control" name="gambarcaption" id="" placeholder="Keterangan gambar (opsional)">
							    	</div>
							    </div>

					    	</div>
					    	<br><br>
					    	<div class="col-sm-offset-2 col-sm-10">
					      		<div class="btn btn-success btn-gambar">tambah gambar</div>
					    	</div>
					  	</div>

					  	<div class="form-group">
					    	<label for="" class="col-sm-2 control-label">Target/ Lokasi</label>
					    	<div class="col-sm-10">
					      		<input type="text" name="target" class="form-control" id="" placeholder="Target"
					      		value="{{ program.target }}">
					    	</div>
					  	</div>
					  	<div class="form-group">
					    	<label for="" class="col-sm-2 control-label">Partner / Logo</label>

					    	<div class="col-sm-5">
					      		<input type="text" name="partner" class="form-control" id="" placeholder="Partner"
					      		value="{{ program.partner }}">
					    	</div>
					    	<div class="col-sm-5">
					      		<input type="file" name="logoPartner" class="form-control" id="" placeholder="Logo"value="{{ program.logoPartner }}">
					    		<p class="help-block">Unggah file gambar dengan jenis jpg, png, atau gif</p>
					      		<img src="../../{{ program.logoPartner }}" height="40%" width="40%">
					    	</div>
					  	</div>

					  	
					  	<div class="form-group">
					    	<label for="" class="col-sm-2 control-label">Kebutuhan / Jumlah</label>
					    	
					    	<div class="div-item col-sm-10">
					    		{% for barang in barang %}
					    		<div>
					    			<div class="col-sm-6">

						      		<input type="text" name="barang"  class="form-control" id="" placeholder="Item" 
						      		{% if barang.nama %}
							      		value="{{ barang.nama }}"
							      		{% endif %}>
							    	</div>
							    	<div class="col-sm-6">
							      		<input type="text" name="jumlahBarang" class="form-control" id="" placeholder="Jumlah (optional)" 
							      		{% if barang.jumlah %}
							      		value="{{ barang.jumlah }}"
							      		{% endif %}
							      		>
							    	</div>
							    	{% if forloop.counter0 > 0 %}
							    		<a href="#" class="remove">Remove</a>
							    	{% endif %}
							    	</div>
						    	{% endfor %}
					    	</div>
					    	
					    	<br><br>
					    	<div class="col-sm-offset-2 col-sm-10">
					      		<div type="" class="btn btn-success btn-item">tambah item</div>
					    	</div>
					  	</div>
					  	

					  	<div class="form-group">
					    	<label for="" class="col-sm-2 control-label">Donasi / Deadline</label>
					    	<div class="col-sm-5">
					    		{% for data in rekening %}
						      		<div>
						      			<input type="checkbox" name="rekening" value="{{ data.id }}"
						      			{% if data in listRekeningDonasi %}
						      				checked
						      			{% endif %}
						      			> Rekening {{ data.bank }} {{ data.noRekenong }} a/n {{ data.nama }}
						      		</div>
					      		{% endfor %}
					    	</div>
					    	<div class="col-sm-5">
					    		{% for d in donasi %}
					    			{% if forloop.counter == 1 %}
							    		{% autoescape on %}
							      		<input type="date" name="deadline" class="form-control" id="" placeholder="mm/dd/yyyy" value="{{d.deadline|date:"Y-m-d"}}">
							      		{% endautoescape %}
						      		{% endif %}
					      		{% endfor %}
					    	</div>
					  	</div>

					  	<div class="form-group">
					    	<div class="col-sm-offset-2 col-sm-10">
					      		<button type="submit" class="btn btn-primary">Simpan</button>
					    	</div>
					  	</div>
					</form>
				</div>
			</div>
		</div>
	</div>
	</div>
	</div>
	</div>
	</div>
	</div>

{% include "admin/footer.html" %}
</body>
</html>